diff --git a/contrib/package/freifunk-common/files/etc/uci-defaults/freifunk b/modules/freifunk/root/etc/uci-defaults/freifunk
index fe6586c..80f73ac 100644
--- a/contrib/package/freifunk-common/files/etc/uci-defaults/freifunk
+++ b/contrib/package/freifunk-common/files/etc/uci-defaults/freifunk
@@ -1,2 +1,31 @@
 uci set uhttpd.main.rfc1918_filter=0
 uci commit uhttpd
+
+. /etc/functions.sh
+
+set_community() {
+        local config="$1"
+        local name="$2"
+
+        config_get net_name "$config" name
+        if [ "$net_name" == "$name" ] ; then
+                uci_set 'freifunk' 'community' 'name' "$config"
+                uci_set 'freifunk' 'wizard' 'net' "$config"
+        fi
+}
+
+remove_old_community() {
+        local config="$1"
+        uci_remove 'freifunk' "$config"
+}
+
+config_load freifunk
+net=$(uci get freifunk.community.name)
+if ! [ -f "/etc/config/profile_$net" ]; then
+        config_foreach set_community community "$net"
+fi
+
+config_foreach remove_old_community community
+#rm -f /etc/config/freifunk_*
+uci_commit 'freifunk'
+
